Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface ThreadPoolRuntimeMBean

All Superinterfaces:
  DynamicMBean, weblogic.health.HealthFeedback, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

public interface ThreadPoolRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean, weblogic.health.HealthFeedback

This bean is used to monitor the self-tuning queue

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getCompletedRequestCount()` The number of completed requests in the priority queue.
`int` | `getExecuteThreadIdleCount()` The number of idle threads in the pool.
`ExecuteThread[]` | `getExecuteThreads()` An array of currently active threads in the pool.
`int` | `getExecuteThreadTotalCount()` The total number of threads in the pool.
`weblogic.health.HealthState` | `getHealthState()`
`int` | `getHoggingThreadCount()` returns the threads that are being hogged by a request right now.
`long` | `getMinThreadsConstraintsCompleted()` Number of requests with min threads constraint picked up out of order for execution immediately since their min threads requirement was not met.
`int` | `getMinThreadsConstraintsPending()` Number of requests that should be executed now to satisfy the min threads requirement
`int` | `getPendingUserRequestCount()` The number of pending user requests in the priority queue.
`int` | `getQueueLength()` The number of pending requests in the priority queue.
`int` | `getSharedCapacityForWorkManagers()` Maximum amount of requests that can be accepted in the priority qeueue.
`int` | `getStandbyThreadCount()` Returns the number of threads in the standby pool.
`double` | `getThroughput()` The mean number of requests completed per second
`boolean` | `isSuspended()` Indicates if the RequestManager is suspended.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getCompletedRequestCount

    public long getCompletedRequestCount()

  The number of completed requests in the priority queue.

### getExecuteThreadIdleCount

    public int getExecuteThreadIdleCount()

  The number of idle threads in the pool.

### getExecuteThreads

    public ExecuteThread[] getExecuteThreads()

  An array of currently active threads in the pool.

  See Also:
    `ExecuteThread`

### getExecuteThreadTotalCount

    public int getExecuteThreadTotalCount()

  The total number of threads in the pool.

### getHealthState

    public weblogic.health.HealthState getHealthState()

  Specified by:
    `getHealthState` in interface `weblogic.health.HealthFeedback`

### getHoggingThreadCount

    public int getHoggingThreadCount()

  returns the threads that are being hogged by a request right now. These threads will either be declared as stuck after the configured timeout or will return to the pool before that. The self-tuning mechanism will backfill if necessary.

### getMinThreadsConstraintsCompleted

    public long getMinThreadsConstraintsCompleted()

  Number of requests with min threads constraint picked up out of order for execution immediately since their min threads requirement was not met. This does not include the case where threads are idle during schedule.

### getMinThreadsConstraintsPending

    public int getMinThreadsConstraintsPending()

  Number of requests that should be executed now to satisfy the min threads requirement

### getPendingUserRequestCount

    public int getPendingUserRequestCount()

  The number of pending user requests in the priority queue. The priority queue contains requests from internal subsystems and users. This is just the count of all user requests.

### getQueueLength

    public int getQueueLength()

  The number of pending requests in the priority queue. This is the total of internal system requests and user requests.

### getSharedCapacityForWorkManagers

    public int getSharedCapacityForWorkManagers()

  Maximum amount of requests that can be accepted in the priority qeueue. Note that a request with higher priority will be accepted in place of a lower priority request already in the queue even after the threshold is reached. The lower priority request is kept waiting in the queue till all high priority requests are executed. Also note that further enqueues of the low priority requests are rejected right away.

### getStandbyThreadCount

    public int getStandbyThreadCount()

  Returns the number of threads in the standby pool. Surplus threads that are not needed to handle the present work load are designated as standby and added to the standby pool. These threads are activated when more threads are needed.

### getThroughput

    public double getThroughput()

  The mean number of requests completed per second

### isSuspended

    public boolean isSuspended()

  Indicates if the RequestManager is suspended. A suspended manager will not dequeue work and dispatch threads till it is resumed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD